> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Create entity

> Create a new entity



## OpenAPI

````yaml api-reference/banking-api/openapi.json POST /banking/entities
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/entities:
    post:
      tags:
        - entities
      summary: Create entity
      description: Create an entity
      operationId: TrioFoundationWeb.Banking.EntityController.create
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Create_entity_params'
        description: >-
          The create entity legal, contact, address, business, and trade name
          attributes
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Entity_response'
          description: Entity
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    Create_entity_params:
      description: Body params create entity
      example:
        legal_name: Entity Test LLC
        tax_number: 56HSK1O0ATI054
        contact:
          email: entity@gmail.com
          phone: '+5541999381724'
        address:
          street: Avenida Paulista
          city: Sao Paulo
          district: Bela Vista
          zip_code: '01311000'
          state: SP
          number: '1000'
        business_infos:
          average_ticket: 10000
          anual_revenue: 10000000
        trade_name: Entity Test
      properties:
        legal_name:
          description: Legal name of the entity
          type: string
        tax_number:
          description: Tax number of the entity
          type: string
        contact:
          $ref: '#/components/schemas/Create_entity_contact_params'
        address:
          $ref: '#/components/schemas/Create_entity_address_params'
        business_infos:
          $ref: '#/components/schemas/Create_entity_business_params'
        trade_name:
          description: Trade name of the entity
          type: string
      required:
        - tax_number
        - legal_name
        - address
      title: Create entity params
      type: object
    Entity_response:
      description: An entity for compliance
      example:
        data:
          birth_state: pr
          brcode_city: ''
          brcode_name: ''
          company_id: 019f2433-fd74-caee-f3a1-070d97dcdaf1
          constitution_date: 01/01/2024
          email: entity@gmail.com
          id: 019f2433-fd74-8cd0-5c1a-b871ccf720ba
          initiation_service: iniciador
          inserted_at: '2026-07-02T19:00:14.854118Z'
          legal_name: Entity Test LLC
          monthly_income: 10000000
          name: Entity Test
          org_id: 019f2433-fd74-a253-0feb-f3262971e83e
          tax_number: '05964110000197'
          updated_at: '2026-07-02T19:00:14.854125Z'
      properties:
        data:
          $ref: '#/components/schemas/Entity_response'
      title: Entity response
      type: object
    Create_entity_contact_params:
      description: Contact information of the entity
      properties:
        email:
          description: Email of the entity
          type: string
        phone:
          description: Phone number of the entity
          type: string
      title: Create entity contact params
      type: object
    Create_entity_address_params:
      description: Address information of the entity
      properties:
        street:
          description: Street of the entity
          type: string
        city:
          description: City of the entity
          type: string
        district:
          description: District of the entity
          type: string
        zip_code:
          description: Zip code of the entity
          type: string
        state:
          description: State of the entity
          type: string
        number:
          description: Address number of the entity
          type: string
      required:
        - street
        - city
        - district
        - zip_code
        - state
        - number
      title: Create entity address params
      type: object
    Create_entity_business_params:
      description: Business information of the entity
      properties:
        average_ticket:
          description: Average ticket of the entity
          type: integer
        anual_revenue:
          description: Anual revenue of the entity
          type: integer
      title: Create entity business params
      type: object

````